Authentication
POST
application/json- body
audienceHost*stringcallbackUrl*stringclientId*stringpkceChallenge*stringstate*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uricallbackUrl*stringcode*stringexpiresAt*stringFormat
date-timestate*stringcurl -X POST 'https://example.com/api/v1/auth/host-authorizations' \ -H 'Content-Type: application/json' \ -d '{ "audienceHost": "string", "callbackUrl": "string", "clientId": "string", "pkceChallenge": "string", "state": "string"}'Example Response
{ "$schema": "https://example.com/schemas/HostAuthorization.json", "callbackUrl": "string", "code": "string", "expiresAt": "2019-08-24T14:15:22Z", "state": "string"}POST
application/json- body
callbackUrl*stringclientId*stringcode*stringverifier*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriavatarPath?stringavatarUrl?stringcomplete*booleancreatedAt*stringFormat
date-timedateOfBirth?stringdisplayName*stringgender?stringid*stringidentities*array<>|nullmissingIdentities?array<string>|nullupdatedAt*stringFormat
date-timecurl -X POST 'https://example.com/api/v1/auth/host-exchanges' \ -H 'Content-Type: application/json' \ -d '{ "callbackUrl": "string", "clientId": "string", "code": "string", "verifier": "string"}'Example Response
{ "$schema": "https://example.com/schemas/AccountResponse.json", "avatarPath": "string", "avatarUrl": "string", "complete": true, "createdAt": "2019-08-24T14:15:22Z", "dateOfBirth": "string", "displayName": "string", "gender": "string", "id": "string", "identities": [ { "id": "string", "issuer": "string", "kind": "string", "value": "string", "verifiedAt": "2019-08-24T14:15:22Z" } ], "missingIdentities": [ "string" ], "updatedAt": "2019-08-24T14:15:22Z"}POST
OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriendSessionUrl?stringok*booleancurl -X POST 'https://example.com/api/v1/auth/logout'Example Response
{ "$schema": "https://example.com/schemas/LogoutOutputBody.json", "endSessionUrl": "string", "ok": true}GET
provider*stringstate*stringcode*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uricurl -X GET 'https://example.com/api/v1/auth/oauth/string/callback?state=string&code=string'Example Response
{ "$schema": "https://example.com/schemas/OauthCallbackOutputBody.json"}POST
provider*stringreturnTo?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriauthorizationUrl*stringstate*stringcurl -X POST 'https://example.com/api/v1/auth/oauth/string/start'Example Response
{ "$schema": "https://example.com/schemas/OAuthStart.json", "authorizationUrl": "string", "state": "string"}GET
state*stringcode*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uricurl -X GET 'https://example.com/api/v1/auth/org-sso/callback?state=string&code=string'Example Response
{ "$schema": "https://example.com/schemas/OauthCallbackOutputBody.json"}GET
OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uributtonLabel*stringorganizationId*stringproviderId*stringproviderType*stringcurl -X GET 'https://example.com/api/v1/auth/org-sso/provider'Example Response
{ "$schema": "https://example.com/schemas/OrgSSOProviderOutputBody.json", "buttonLabel": "string", "organizationId": "string", "providerId": "string", "providerType": "string"}POST
OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uricurl -X POST 'https://example.com/api/v1/auth/org-sso/saml/acs'Example Response
{ "$schema": "https://example.com/schemas/OauthCallbackOutputBody.json"}curl -X GET 'https://example.com/api/v1/auth/org-sso/saml/metadata'Example Response
Empty
POST
application/json- body
organizationId?stringproviderId?stringreturnTo?stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriauthorizationUrl*stringstate*stringcurl -X POST 'https://example.com/api/v1/auth/org-sso/start' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "$schema": "https://example.com/schemas/OAuthStart.json", "authorizationUrl": "string", "state": "string"}POST
application/json- body
channel*stringkind*stringvalue*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridestination*stringexpiresAt*stringFormat
date-timeid*stringkind*stringresendAt*stringFormat
date-timecurl -X POST 'https://example.com/api/v1/auth/otp/challenges' \ -H 'Content-Type: application/json' \ -d '{ "channel": "string", "kind": "string", "value": "string"}'Example Response
{ "$schema": "https://example.com/schemas/ChallengeResponse.json", "destination": "string", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "resendAt": "2019-08-24T14:15:22Z"}POST
challengeId*stringapplication/json- body
channel*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridestination*stringexpiresAt*stringFormat
date-timeid*stringkind*stringresendAt*stringFormat
date-timecurl -X POST 'https://example.com/api/v1/auth/otp/challenges/string/resend' \ -H 'Content-Type: application/json' \ -d '{ "channel": "string"}'Example Response
{ "$schema": "https://example.com/schemas/ChallengeResponse.json", "destination": "string", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "resendAt": "2019-08-24T14:15:22Z"}POST
application/json- body
challengeId*stringcode*stringLength
6 <= length <= 6OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriavatarPath?stringavatarUrl?stringcomplete*booleancreatedAt*stringFormat
date-timedateOfBirth?stringdisplayName*stringgender?stringid*stringidentities*array<>|nullmissingIdentities?array<string>|nullupdatedAt*stringFormat
date-timecurl -X POST 'https://example.com/api/v1/auth/otp/verifications' \ -H 'Content-Type: application/json' \ -d '{ "challengeId": "string", "code": "string"}'Example Response
{ "$schema": "https://example.com/schemas/AccountResponse.json", "avatarPath": "string", "avatarUrl": "string", "complete": true, "createdAt": "2019-08-24T14:15:22Z", "dateOfBirth": "string", "displayName": "string", "gender": "string", "id": "string", "identities": [ { "id": "string", "issuer": "string", "kind": "string", "value": "string", "verifiedAt": "2019-08-24T14:15:22Z" } ], "missingIdentities": [ "string" ], "updatedAt": "2019-08-24T14:15:22Z"}POST
OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uriok*booleancurl -X POST 'https://example.com/api/v1/auth/refresh'Example Response
{ "$schema": "https://example.com/schemas/OkOutputBody.json", "ok": true}